
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 工商信息审核记录
 *
 * @author chiley
 * @date 2022/9/1 15:59
 */

public class ShopCompanyAuditingVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 工商信息审核id
     */
    private Long companyAuditingId;
    /**
     * 申请人id
     */
    @Schema(description = "申请人id")
    private Long userId;

    /**
     * 店铺id
     */
    @Schema(description = "店铺id")
    private Long shopId;

    /**
     * 工商信息id
     */
    @Schema(description = "工商信息id")
    private Long shopCompanyId;

    /**
     * 审核人id
     */
    @Schema(description = "审核人id")
    private Long auditorId;

    /**
     * 审核状态
     */
    @Schema(description = "0 未审核 1已通过 -1未通过")
    private Integer status;

    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remarks;

    /**
     * 店铺名称
     */
    @Schema(description = "店铺名称")
    private String shopName;

    /**
     * 店铺简介
     */
    @Schema(description = "店铺简介")
    private String intro;

    /**
     * 店铺工商信息
     */
    @Schema(description = "工商信息")
    private ShopCompanyVO shopCompanyVO;

    public Long getCompanyAuditingId() {
        return companyAuditingId;
    }

    public void setCompanyAuditingId(Long companyAuditingId) {
        this.companyAuditingId = companyAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getShopCompanyId() {
        return shopCompanyId;
    }

    public void setShopCompanyId(Long shopCompanyId) {
        this.shopCompanyId = shopCompanyId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public ShopCompanyVO getShopCompanyVO() {
        return shopCompanyVO;
    }

    public void setShopCompanyVO(ShopCompanyVO shopCompanyVO) {
        this.shopCompanyVO = shopCompanyVO;
    }

    @Override
    public String toString() {
        return "ShopCompanyAuditingVO{" +
                "companyAuditingId=" + companyAuditingId +
                ", userId='" + userId + '\'' +
                ", shopId=" + shopId +
                ", shopCompanyId=" + shopCompanyId +
                ", auditorId=" + auditorId +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                ", shopName='" + shopName + '\'' +
                ", intro='" + intro + '\'' +
                ", shopCompanyVO=" + shopCompanyVO +
                '}';
    }
}
